name: field.blocks.heading.name
icon: title
wysiwyg: true
preview: heading
fields:
  text:
    label: field.blocks.heading.text
    type: writer
    inline: true
    width: 5/6
    placeholder: field.blocks.heading.placeholder
  level:
    label: field.blocks.heading.level
    type: select
    empty: false
    default: "h2"
    width: 1/6
    options:
      - h1
      - h2
      - h3
      - h4
      - h5
      - h6
  size:
    label: Taille
    type: select
    empty: true
    width: 1/6
    options:
      - h1
      - h2
      - h3
      - h4
      - h5
      - h6
  textalign:
    label: Alignement du texte
    type: radio
    width: 1/3
    options:
      text-start: aligner à gauche
      text-center: aligner au milieu
      text-end: aligner à droite
  align:
    label: Alignement vertical
    type: radio
    width: 1/3
    options:
      flex-start: aligner en haut
      flex-center: aligner au milieu
      flex-end: aligner en bas
  verticalPadding:
    label: Marges verticales
    type: radio
    width: 1/3
    options:
      no-vertical-padding: pas de marges
  horizontalPadding:
    label: Marges horizontales
    type: radio
    width: 1/3
    options:
      no-horizontal-padding: pas de marges
